Bug 566717 (CVE-2012-3417) - CVE-2012-3417 quota: incorrect use of tcp_wrappers
Summary: CVE-2012-3417 quota: incorrect use of tcp_wrappers
Status: CLOSED ERRATA
Alias: CVE-2012-3417
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20090422,reported=2...
Keywords: Security
Depends On: 566718 841448
Blocks: 816611
TreeView+ depends on / blocked
 
Reported: 2010-02-19 14:24 UTC by Tomas Hoger
Modified: 2018-11-30 20:56 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-01-08 08:59:13 UTC


Attachments (Terms of Use)
Upstream fix ported to quota 3.13 (2.00 KB, patch)
2012-07-31 11:20 UTC, Petr Pisar
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0120 normal SHIPPED_LIVE Low: quota security and bug fix update 2013-01-08 09:10:58 UTC

Description Tomas Hoger 2010-02-19 14:24:57 UTC
quota's good_client() (quota-tools/rquota_svc.c) seems to be based on good_client() used by nfs-utils and portmap and is affected by similar problems as described here:

  https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2008-4552#c8

With certain hosts.{allow,deny} rules, expected host access control restrictions may not be applied correctly.  The problem does not affect configurations that has deny:ALL and only allow access for specific hosts / networks.

The issue was reported and fixed upstream:
http://sourceforge.net/tracker/?func=detail&aid=2743481&group_id=18136&atid=118136
http://linuxquota.cvs.sourceforge.net/viewvc/linuxquota/quota-tools/rquota_svc.c#rev1.21

Comment 4 Kurt Seifried 2012-07-19 16:48:12 UTC
Added CVE as per http://www.openwall.com/lists/oss-security/2012/07/19/5

Comment 5 Petr Pisar 2012-07-31 11:20:27 UTC
Created attachment 601505 [details]
Upstream fix ported to quota 3.13

Comment 6 Murray McAllister 2012-11-18 09:52:38 UTC
Acknowledgements:

This issue was discovered by the Red Hat Security Response Team.

Comment 7 errata-xmlrpc 2013-01-08 04:55:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0120 https://rhn.redhat.com/errata/RHSA-2013-0120.html


Note You need to log in before you can comment on or make changes to this bug.